VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::cli::CommandTypes::GenericType Class Reference

The `Command.GenericType` enumerated type defines generic types supported by `Command` interface. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, NONE, OPTIONAL, LIST, OPTIONAL_LIST, LIST_OPTIONAL }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static GenericType[] | GetValues ()
static GenericType | ValueOf (string name)
## Static Public Attributes
static readonly GenericType | NONE = new GenericType("NONE", Values.NONE)
| Default case.
static readonly GenericType | OPTIONAL = new GenericType("OPTIONAL", Values.OPTIONAL)
| Input parameter is an optional.
static readonly GenericType | LIST = new GenericType("LIST", Values.LIST)
| Input parameter is a list.
static readonly GenericType | OPTIONAL_LIST = new GenericType("OPTIONAL_LIST", Values.OPTIONAL_LIST)
| Input parameter is an optional of type list.
static readonly GenericType | LIST_OPTIONAL = new GenericType("LIST_OPTIONAL", Values.LIST_OPTIONAL)
| Input parameter is a list of optionals.

## Detailed Description

The `Command.GenericType` enumerated type defines generic types supported by `Command` interface.

See Command.OptionInfo.generic .

## Member Enumeration Documentation

enum vmware::vapi::metadata::cli::CommandTypes::GenericType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  NONE | Default case.
  OPTIONAL | Input parameter is an optional.
  LIST | Input parameter is a list.
  OPTIONAL_LIST | Input parameter is an optional of type list. New in vSphere 6.5.
  LIST_OPTIONAL | Input parameter is a list of optionals. New in vSphere 6.5.

## Member Function Documentation

Values vmware::vapi::metadata::cli::CommandTypes::GenericType::GetEnumValue | ( |  | ) | `[inline]`

static GenericType [] vmware::vapi::metadata::cli::CommandTypes::GenericType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::cli::CommandTypes::GenericType::IsUnknown | ( |  | ) | `[inline]`

static GenericType vmware::vapi::metadata::cli::CommandTypes::GenericType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly GenericType vmware::vapi::metadata::cli::CommandTypes::GenericType::LIST = new GenericType("LIST", Values.LIST)`[static]`

Input parameter is a list.

readonly GenericType vmware::vapi::metadata::cli::CommandTypes::GenericType::LIST_OPTIONAL = new GenericType("LIST_OPTIONAL", Values.LIST_OPTIONAL)`[static]`

Input parameter is a list of optionals.

New in vSphere 6.5.

readonly GenericType vmware::vapi::metadata::cli::CommandTypes::GenericType::NONE = new GenericType("NONE", Values.NONE)`[static]`

Default case.

readonly GenericType vmware::vapi::metadata::cli::CommandTypes::GenericType::OPTIONAL = new GenericType("OPTIONAL", Values.OPTIONAL)`[static]`

Input parameter is an optional.

readonly GenericType vmware::vapi::metadata::cli::CommandTypes::GenericType::OPTIONAL_LIST = new GenericType("OPTIONAL_LIST", Values.OPTIONAL_LIST)`[static]`

Input parameter is an optional of type list.

New in vSphere 6.5.

The documentation for this class was generated from the following file:

- CommandTypes.cs